/*
 * FILE:
 *   sdl_error.hpp
 *
 * PURPOSE:
 *   Subclass of CoercriError that automatically appends the result of
 *   SDL_GetError() to the error message.
 *
 * AUTHOR:
 *   Stephen Thompson, 2008
 *
 * COPYRIGHT:
 *   Usage of this file is permitted under the terms of the Boost
 *   Software License, version 1.0.
 *
 */

#ifndef COERCRI_SDL_ERROR_HPP
#define COERCRI_SDL_ERROR_HPP

#include "../../core/coercri_error.hpp"

namespace Coercri {

    class SDLError : public CoercriError {
    public:
        SDLError(const std::string &msg);
    };

}

#endif
