/*
 * game_info.hpp
 *
 * Holds information about a game running on a server.
 *
 * Copyright (c) Stephen Thompson, 2009.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef GAME_INFO_HPP
#define GAME_INFO_HPP

#include <string>

enum GameStatus {
    GS_WAITING_FOR_PLAYERS,
    GS_SELECTING_QUEST,
    GS_RUNNING
};

class GameInfo {
public:
    std::string game_name;
    std::string player_name[2];
    int num_observers;
    GameStatus status;
};

#endif
